% Konstruktor der class drahtmodell 
%   d = drahtmodell() erzeugt ein drahtmodell Objekt 
function d = drahtmodell() 

   % Daten-structs in der Klasse drahtmodell 
   d.pt = struct( 'x', 0, 'y', 0, 'z', 0 ); 
   d.ln = struct( 'p1', 0, 'p2', 0 ); 
   
   % Definition der Punkte des Krpers 
   d.pt(1).x = 0; d.pt(1).y = 0; d.pt(1).z = 0; 
   d.pt(2).x = 8; d.pt(2).y = 0; d.pt(2).z = 0; 
   d.pt(3).x = 8; d.pt(3).y = 8; d.pt(3).z = 0; 
   d.pt(4).x = 0; d.pt(4).y = 8; d.pt(4).z = 0; 
   
   % Definition der Linien des Krpers ber Punkte 
   d.ln(1) = struct( 'p1', 1, 'p2', 2 ); 
   d.ln(2) = struct( 'p1', 2, 'p2', 3 ); 
   d.ln(3) = struct( 'p1', 3, 'p2', 4 ); 
   d.ln(4) = struct( 'p1', 4, 'p2', 1 );
   
   % wie viele Punkte und Linien gibt es 
   d.anz_pt = 4; 
   d.anz_ln = 4; 
   
   % Erzeugung der Instanz der Klasse mit den obigen Daten 
   d = class( d, 'drahtmodell' );