% 
% Schreiben Sie eine Funktion: w = invertiereWort( wort ). 
% Die Funktion bekommt ein Wort bergeben und gibt den Text 
% in umgekehrter Reihenfolge zurck.
% Beispiel: >> w = invertiereWort( 'Baum' )
%              w = 'muaB'
% 
function w = invertiereWort( wort )
  len = length( wort );
  w = wort( len:-1:1 );
end

% Variante 2: mit expliziter Schleife 
function w = invertiereWort_v2( wort )
  len = length( wort );
  for( n = 1:len )
    w(n) = wort( len-n+1 );
  end
end
