%
%   zum Test: statistik( 100 ) und statistik( 1000 )
%
function  statistik( anz )

   % gleichverteilte Messwerte
   we=rand(anz,1);
   % Mittelwert
   me = mean( we );
   % Standard-Abweichung
   se = std( we );
   
   fprintf( 'Gleichverteilung: \n' );
   fprintf( '  Mittelwert = %g, Standardabw. = %g \n', me, se );
   
   wn=randn(anz,1);
   % Mittelwert
   mn = mean( wn );
   % Standard-Abweichung
   sn = std( wn );
   
   fprintf( 'Normalverteilung: \n' );
   fprintf( '  Mittelwert = %g, Standardabw. = %g \n', mn, sn );
   
   figure
   subplot(1,2,1)
   plot( we, 'x' );
   ylabel( 'gleichverteilt' );
   
   subplot(1,2,2)
   hold on
   plot( wn, 'x' );
   % Linien
   plot( [0,anz], [mn,mn], '-r' )
   plot( [0,anz], [mn+sn,mn+sn], ':k' )
   plot( [0,anz], [mn-sn,mn-sn], ':k' )
   % auf -Achse
   plot( 0, mn, 'sr' )
   ylabel( 'normalverteilt' );
   hold off
