%        
%  Beispielaufruf: LoeseDgl1( 1, 5, 2 )
% 
function [mw,sa] = LoeseDgl1( x0, tm, c )     

  tspan = [0,tm];                               
  [t,x] = ode45( @dglFcn1, tspan, x0, [], c );   
  
  mw = mean( x );                              
  sa = std( x );                                

  plot( t,x )

end
  
function dx_dt = dglFcn1( t,x, c )             
   dx_dt = - 2 * c * x.^3 + sin( pi*t );     
end
