%
%  >> [y,N] = sinhReihe( 1, 0.001 )
% 
%  Reihe: y = x + 1/3! x^3 + 1/5! x^5 + 1/7! x^7 + ...
%
function [y,N] = sinhReihe( x, delta )

  % zum Vergleich 
  fprintf( 'sinh(%g) = %g \n', x, sinh(x) );
  N = Inf;  % Vorbelegung beim Abbruch mit zu vielen Versuchen 
  
  y = x;   % bereits erster Wert in der Reihe
  n = 1;
  
  % Flag zum Weitermachen
  weiter = 1;
  while( weiter && n < 1000 )  % auch aufhren, wenn zu oft 
    n = n + 2;   % um 2 weitergehen
    
    % Berechnung der Fakultt
    n_f = 1;
    for( k=1:n)
      n_f = n_f * k;
    end
    
    % nchster Summand w
    w = 1/n_f .* x.^n; 
    y = y + w;
    
    % Check auf Ende
    if( abs( y - sinh(x) ) < delta )
      weiter = 0;
      N = (n+1)/2;  % die Hlfte, da nur jede 2. Potenz  
    end
  end

end