function  multPlot_v()
    % Definition der Flche
    z = [ 0 2 3 0; 0 2 3 0 ];
    figure 
    
    typ = 'm';
    fnc = @mesh;
    
    while( typ ~= 'q' )
       % Unterfunktion zum Plotten 
       plotSub( 1, fnc, z,   0, 90 );
       plotSub( 2, fnc, z,  90,  0 );
       plotSub( 3, fnc, z,   0,  0 );
       plotSub( 4, fnc, z, -45, 45 );
              
       typ = input( '3D-Typ whlen \n s = surf, m = mesh, q = Quit]: ', 's' ); 
       switch( typ )
          case 'm'
             fnc = @mesh;  % Funktion mesh in Var. fnc merken
          case 's'
             fnc = @surf;  % Funktion surf in Var. fnc merken
          case 'q'
             clf;
             return;
          otherwise
             fprintf( 'Unzulssiger Typ %s \n', typ )
             clf;
             return;
       end
    end
end

% Private Unterfunktion
function plotSub( nr, fnc, z, az, el )
   subplot( 2, 2, nr );
   fnc( z );     % Var. fnc speichert Funktion surf oder mesh
   view( az, el )
   axis square
end