%
%  createDetail zeigt nur die rechte Hlfte eines Bildes an.
% 
function createDetail()    

  % Dateinamen auswhlen
  [f,p] = uigetfile( '*.bmp' );      
  if( f == 0 )                         
    return;                               
  end
  
  % Dateiname aus Pfad und Name  
  fname = [p,f];
  
  % Bilddaten einlesen 
  A = imread( fname );                     
  
  % Gre des Bildes bestimmen 
  sz = size( A );                          
  sp1 = int32( sz(2)/2 );    % Hlfte der Spalten   
  sp2 = sz(2);               % alle Zeilen 
  
  % Daten des Detailbildes 
  B = A(:,sp1:sp2,:);      
  
  % Bild anzeigen
  image( B )
  axis image
  
  % sname = sprintf( 'Det%s', f );  
  % fname = [p,f];
  % imwrite( B, sname ); 
  