%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%  Funktion synth_speichere_sample_als() 
%
%  Autor: Ulrich Stein, Dept. M+P, HAW Hamburg
%
%  Erzeugt:          22.04.2006
%  Letzte nderung:  24.03.2008
%
%--------------------------------------------------------------------
%
%  Speichert die Musik-Datenbasis in eine externe m06-Datei.
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function  synth_speichere_sample_als()

    global synth_data;  

    if( synth_data.angelegt == 0 )
        warndlg( 'Noch keine Musik-Daten angelegt!' );
        return;
    end
    
    % Datei-Namen holen 
    [FileName,PathName] = uiputfile( '*.wav', 'Namen fr Musikdatei' );
    if( isequal( FileName, 0 ) )
       warndlg( 'Keine Musik WAV-Datei ausgewhlt' );
       return;
    end
    
    % in Datei schreiben
    wavwrite( synth_data.schwingung, synth_data.samplerate, FileName );  

return;
